Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 827 - file utility does not recognize RealMedia (magic .RMF) files
Summary: file utility does not recognize RealMedia (magic .RMF) files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: file
Version: 5.2
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-14 02:31 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-22 19:49:31 UTC


Attachments (Terms of Use)

Description Aleksey Nogin 1999-01-14 02:31:41 UTC
File utility erroneously recognizes RealMedia (magic .RMF)
files as a "troff or preprocessor input text". RealAudio
(magic .ra\0375) are corretly recognized as "realaudio sound
file".

I believe there are two seperate problems here:

1) Magic .RMF (probably - .RMF\0) is not known.

2) Any file that starts with a dot and has >= 3 bytes would
be recognized as a "troff or preprocessor input text". IMHO
this pattern is too general.

Comment 1 Preston Brown 1999-03-22 19:49:59 UTC
I have added experimental support for realmedia files to file-3.26-6
and later.  However, I haven't tested it.  If you could test it and
get back to me with whether or not it works, that would be great.  I
don't have a realmedia file on hand, so if you could send me the
header for one as well (if it doesn't work as I coded it), I will make
sure it works in the next release.

------- Email Received From  Alexey Nogin <ayn2@cornell.edu> 03/22/99 16:06 -------


Note You need to log in before you can comment on or make changes to this bug.